########################################################################
#
# File Name:            AliasProxy.py
#
# Documentation:        http://docs.4suite.org/4SS/COS/Lib/XmlServerLib.py.html
#
"""
Implements the CORBA XmlServer service
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright (c) 1999-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""
import omniORB
import FtServerResources
from Ft.Server.Protocols.CORBA import MessageSource
import RepositoryObjectProxy

#Overidden class
oldBase = omniORB.objrefMapping[FtServerResources.AliasIf._NP_RepositoryId]
class AliasProxyIf(oldBase,RepositoryObjectProxy.RepositoryObjectProxyIf):
    base = oldBase



for name,value in RepositoryObjectProxy.RepositoryObjectProxyIf.__dict__.items():
    if name in ['__doc__','base','__module__']:
        continue
    setattr(AliasProxyIf,name,value)

omniORB.registerObjref(FtServerResources.AliasIf._NP_RepositoryId, AliasProxyIf)












